Unity Smart Scopes
Smart Scopes è una nuova funzionalità, sviluppata da Canonical, con la quale è possibile effettuare contemporaneamente ricerche mirate in più siti ed applicazioni il tutto direttamente dal Dash. Il nuovo Unity Smart Scopes doveva approdare di default in Ubuntu 13.04 Raring ma visto i tanti bug riscontrati il team di sviluppo ha deciso di rimandare il rilascio per la prossima Ubuntu 13.10 Saucy.
Tra le principali caratteristiche degli Unity Smart Scopes troviamo la possibilità di scegliere quali siti effettuare la ricerca online direttamente dal Dash inoltre le nostre ricerche andranno ad interagire solo con il server Canonical in maniera anonima e criptata.
Gli sviluppatori Canonical in questi giorni hanno introdotto nuove ed interessanti novità riguardanti gli Smart Scope. Gli ultimi aggiornamenti hanno aggiunto nuovi siti e applicazioni supportate da SmartScope tra le applicazioni troviamo il supporto per Gourmet, Tomboy e VirtualBox potremo quindi effettuare ricerche mirate su ricette, note e macchine virtuali dal Dash ed inoltre potremo effettuare ricerche nei portali web: Devhelp, Manpages, Launchpad, GitHub, Yahoo! Finance, Google News, Wikipedia, IMDb, Dictionaries, deviantART e OpenClipArt. Interessante il supporto per Launchpad e GitHub con il quale potremo ricercare nuovi progetti, applicazioni di terze parti, ppa ecc dal Dash magari cercando di un progetto sia i sorgenti su GitHub e i pacchetti o PPA dedicato su Launchpad.

Inoltre il nuovo Smart Scopes migliora anche la gestione dei siti e applicazioni grazie a nuove categorie le quali forniranno sia applicazioni che siti web supportati che possiamo attivare con un semplice click del mouse.

Unity Smart Scopes

E’ possibile installare Unity Smart Scopes su Ubuntu 13.04 Raring digitando da terminale:

sudo add-apt-repository ppa:ubuntu-unity/experimental-prevalidation
sudo apt-get update
sudo apt-get dist-upgrade && apt-get install --fix-policy
Una volta terminata l’installazione dovremo riavviare o terminare la sessione per attivare le nuove Unity Smart Scopes
Per ripristinare Unity come da default basta digitare:
sudo apt-get install ppa-purge
sudo ppa-purge ppa:ubuntu-unity/experimental-prevalidation

e riavviamo

fonte della news e seconda immagine

Home Unity Smart Scopes

  • Ma mi dice Not Found

  • Ferdiocaid

    i link non funzionano.

  • francescomisc

    confermo

  • Simone

    veramente riesce il kernel3.1 a gestire entrambe le schede video nativamente nei sandy bridge?????

  • Figih_96

    installato e funzionante 

  • Fatto. Ma la versione Kernel è ancora la 3.0, perchè. Grazie

    • Ferdiocaid

      sudo update-grub

  • andrea

    veramente…..da not found…..che ci hanno ripensato?

  • federicchio

    i link per ubuntu 64 bit non fungono.

  • sinapsi77

    e qui http://packages.ubuntu.com/search?keywords=+linux-source-3.1&searchon=names&suite=all&section=all ancora c’è la versione basata sulla RC10

    attendiamo qualche ora

  • Xxx
  • Perfettamente funzionante 🙂

    • Doko

      Sarà di default su Mint 12?

      • non lo so
        anche se di solito mint usa il kernel di default di ubuntu e quindi troverete il 3.0

  • Meno male sono stai risolti i problemi energetici, anche se una gran mano secondo me l ‘ hanno data gli sviluppatori di Ubuntu!

    • non molto dato che il problema è stato risolto molto dagli sviluppatori fedora

  • Federicchio

    È normale che non si avvii e mi dia la schermata di caricamento di ubuntu con questa scritta: *starting postfix mail transport a gent postfix [OK]
    Speech-dispatcher disabled; edit /etc/default/speech-dispatcher
    To enable sphinxsearch, edit /etc/default/sphinxsearch and set START=yes

    Cosa devo fare?!

    • Federicchio

      Ah,e prima che mi compaia quella schermata mi da una schermata nera con scritto [2.581745] xchi_hcd 0000:04:00.0: failed to enable MSI-x

  • Sergio Vignone

    Salve,
    grazie mille per il tempestivo aggiornamento.
    Utilizzo Xubuntu, dopo l’installazione del kernel avvia sempre la 3.0.0-12 (come per francescomisc) anche dopo aver dato “sudo update-grub”.
    Tuttavia in menu.lst compare la stringa relativa al 3.1 come default, ma dal uname -r risulta sempre la 3.0.

    Grazie

    • Sergio Vignone

      Risolto.

      Basta dare un “sudo grub-mkconfig” e sostituire il risultato al testo presente nel file grub.cfg in /boot/grub.
      Riavviare e il gioco è fatto.

  • Fiorello iosif

    scusate ma per me e poco chiaro..”3 pacchetti uno all e i 2 o i386 o amb64” sarebbero 2 pacchetti uno questo-linux-headers-3.1.0-030100_3.1.0-030100.201110241006_all.deb e uno questo-linux-image-3.1.0-030100-generic_3.1.0-030100.201110241006_i386.deb giusto?Ho ubuntu 11.10 32bit,poi faccio partire terminal dalla cartella dove li ho scaricati.

  • Enrico

    Scusate ma qualcuno può spiegare bene come si installa per favore?Scarico i tre pacchetti dove?Dove voglio?Poi apro il terminale e do i due comandi scritti sopra?
    Grazie

    • Scusate ma qualcuno può spiegare bene come si installa per
      favore?

      Provo a risponderti io…

      Scarico i tre pacchetti dove?
      Si, dal collegamento suggerito nell’articolo tenendo in considerazione la propria architettura; i386 o amd64 – rispettivamente 32 e 64bit.

      Dove voglio?
      Si, a tuo totale piacimento.

      Poi apro il terminale e
      do i due comandi scritti sopra?

      Esatto ma fai attenzione che non vi siano presenti altri file in formato *.deb!

      In caso di altri dubbi o domande cercherò di essere disponibile.
      Fammi sapere.

  • raftel

    installato ma con i driver catalyst 11.9 attivati ubuntu non parte. Mi parte con il kernel 3 ma non con il 3.1 suggerimenti???

    • avvia il kernel precedente oppure dalla modalità di ripristino reinstalla i driver sul nuovo kernel

      • Maxi Free

        Reinstallato i driver sul nuovo Kernel e la macchina magicamente è ripartita. THX 🙂

        • Dinolib

          Come hai fatto? Ho reinstallato i driver bootando dal kernel precedente. Ma riprovando con il 3.1 solita schermata nera 🙁

    • Maxi Free

      Anche a me succede la stessa cosa. E in modalità di ripristino non parte…..

  • lahire

    ho seguito la guida, ma mi è capitato un curioso ( almeno per me ) episodio.
    Ho scaricato i 3 programmi ma, digitando poi i comandi nel terminale, mi veniva restituito un errore che rendeva impossibile l’installazione.
    <allora ho provato a installare i 3 programmi attraverso il software center e tutto ha funzionato alla perfezione, tant'è che la schermata del terminale mi dice :

    pippo@pippo:disqus -HP-620:~$ uname -r
    3.1.0-030100-generic
    insomma…installato!

  • lahire

    p.s. non so cosa sia successo , ma una parte del mio post è illeggibile.
    Traduco . mentre dal terminale non sono riuscito a fare nulla, invece ho installato i 3 pacchetti attraverso il software center. Risultato :
    il kernel è installato. boh !

  • Enrico

    Scusate ma si può installare facendo doppio clic sui pacchetti deb?Qual’è la sequenza da seguire?Chiedo scusa,non voglio criticare l’articolo ma dovreste spiegare meglio come si installa questo Kernel,per i neofiti come me non è semplice,date troppe cose per scontato.
    Grazie

  • Millalino

    prima il deb da 11mb, poi il del da 800 kb circa e poi il deb da 35 mb. Almeno questa era la sequenza sino al 2.6.38

    • Millalino

      correggo “il deb da 800 kb circa”

  • OK, adesso è aggiornato

  • Graziano

    Fatto l’aggiornamento… e adesso il portatile non parte più.
    Al reboot mi presenta uno schermo completamente nero, senza scritte di sorta, macina, sento gli altoparlanti che si attivano, ma poi tutto nero.
    Come posso fare per far partire almeno il terminale e ripristinare il vecchio kernel senza dover reinstallare tutto di nuovo?

    • Maxi Free

      Se spegni tenendo premuto il tasto dell’accensione, dovrebbe partire al boot seguente il menu del grub che ti fa scegliere se vuoi ripartire con la vecchia versione del kernel.

      • Graziano

        purtroppo no 🙁
        riparte e lo schermo resta completamente nero.

      • in teoria basta cliccare un tasto qualsiasi per far avviare grub

    • avvia con un’altro kernel

  • CBMAN

    Ma non dovrebbe aggiornarsi da solo dal gestore aggiornamenti?

    • no ubuntu non aggiorna il kernel lo mantiene come da resto tutti gli altri pacchetti

  • Gigas87

    Io ho aggiornato e il computer si blocca con una schermata nera ho un notebook acer x86 driver nvidia… Xk fa così??? in che modo potrei risolvere il problema??? da specificare che non parte neanche la modalità di ripristino. uff…

    • Graziano

      Il mio stesso problema 🙁
      Non appare assolutamente nulla a video, nemmeno richiamando il terminale con le combinazioni di tasti.
      Sapete se esiste un modo per ripristinare il sistema anche tramite livecd?

    • questo problemi pultroppo ci sono ad ogni aggiornamento del kernel
      pultroppo ubuntu non aggiorna il kernel e se si vuol farlo si deve rischiare di trovarsi nella tua situazione

  • Gran peccato stavo gia incominciando a farmi piacere oneiric kubuntu ma dopo l’aggiornamento del kenell non riparte neppure in recovery e in grub non c’è piu traccia del precedente , non vorrei essere polemico ma in SUSE quando si aggiorna il kernell almeno si porta dietro anche i moduli di nvidia e /o virtual box e non si fanno disatri

    • se vuoi sempre una distro aggiornata ubuntu non fa per te o passi mint debian o meglio ancora a debian testing o sid e se vuoi il top e cosi anche imparare ad usare linux installa arch e questi problemi non li avrai più

  • Neal Caffrey

    Io non ho avuto problemi, upgrade del kernel riuscito correttamente. Grazie Roberto

  • Aggiornato il Kernel, tutto ok su kubuntu 11.10, per la prima volta ho aggiornato senza scassare nulla (di solito drivers video sputtanati). 😉

    • Scusa ma i driver video li avevi gia installati ? nvidia o ati?

      • shady804

        Avevo i driver proprietari 11.8, aggiornati perfettamente.
        Gli 11.9 scaricati dal sito, sopo opportuna disinstallazione e pulizia dei proprietari non mi vanno manco morti (schermata a righe verticali e ventole della scheda video a palla).
        Adesso sono con Fedora 16, driver open e profilo energetico low   , su gnome shell tutto perfetto

  • Caos57

    Per chi ha problemi all’avvio di grub basta che selezionate il kernel vecchio (freccia giu da tastiera),una volta che avviate ubuntu disintsallate i pacchetti del 3.1 da synaptic o terminale.

    • A me in grub erano rimaste solo le due righe relative ai nuovi kernel oltre a mint in condivisione di HD strano che non habbia lasciato anche i 3.0.0 sarebbe stato la soluzione 

  • gogor71

    buongiorno a tutti , sono un nuovo inscritto a questo forum ( in parallelo con ubuntu.fr , OMG , WebUpd8 )
    Lo sto seguendo da un po di tempo , e devo dire che ci sono degli articoli molto interessanti, et con una reattività deconcertante.

    Riveniamo al kernell 3.1 che ho appene installato , tutto sembra funzionare bene , ma c’é un problema con virtualbox. 
    Dopo l’errore (non mi ricordo piu ) ho provato a fare il set-up ma non funziona.
    Qualcuno ci é riuscito ?
    Grazie.

    • se non mi indichi l’errore come posso sapere come risolvere il problema?

  • Max Deliquio

    Per tornare al Kernel precedente da grub seezionate Previous Linux version

  • Antonio G. Perrotti

    provato (con kubuntu). appena installato il driver fglrx-updates (scheda ati), kaputt, schermo blu solo appena più chiaro del BSOD di mindows :-). allora ho fatto così: riavviato da una pennina con maverick live che per fortuna avevo da parte, e dato questi comandi  sul terminale della live (presi dalla guida per debian netinstall che trovate quì su lffl):

    sudo -s
    mkdir /tmp/deb
    mount /dev/sda2 /tmp/deb (sda2 è la partizione dove ho installato kubuntu)

    for dir in dev sys proc; do mount –bind /${dir}  /tmp/deb/${dir}; done

    chroot /tmp/deb

    sudo apt-get purge fglrx-updates
    sudo apt-get autoremove
    sudo apt-get install fglrx (senza updates)

    riavviato e funzionava. se qualcuno vuole provare, perso per perso… 🙂

  • Michael4

    Provato,mi va in crash firefox,poi avevo installato un tema grafico molto bello di cui non ricordo il nome che si attivava prima del login invece del solito schermo viola e anche questo non si vedeva più,ho risolto installando startup manager e ripristinando il kernel precedente come predefinito.

    • mi sembra strano che sia un problema del kernel molto probabilmente il problema è dovuto alla scheda grafica non aggiornata con il nuovo kernel

  • Edoardo Laraia

    Ciao,
    Ho aggiornato il kernel e tutto va alla grande con i driver 11.9 Catalyst. L’unico problema che ho è durante l’installazione di VMware, googlando qua e la ho trovato una patch da applicare ma stranamente il terminale mi riporta che ho un’istanza di VMX aperta che dando il comando pid non trovo….

  • neramarea

    Provato, scheramata nera; selezionando il kernel precedente si avvia, ma manda a remengo il wireless.
    Da evitare.

  • Lukino89

    Ma sarà poi disponibile come aggiornamento diciamo standard di ubuntu?? Non perchè a me funziona splendidamente ora il pc non vorrei rischiare sinceramente anche se sono tentato…

    • no ubuntu mantiene i pacchetti non gli aggiorna
      il prossimo aggiornamento del kernel arriverà ad aprile con ubuntu 12.04

  • mi da errore..  guarda la risposta del terminale alla seconda operazione:
     sudo apt-get install -fLettura elenco dei pacchetti… FattoGenerazione albero delle dipendenze       Lettura informazioni sullo stato… FattoI seguenti pacchetti sono stati installati automaticamente e non sono più richiesti:  libboost-python1.46.1 libswscale0 libavutil50 libdb5.1-java xulrunner-1.9.2  libgcj-bc gcj-4.6-jre-lib libx264-106 libdb5.1-java-gcj libpostproc51  libboost-thread1.42.0 libavformat52 libdvbpsi6 libgcj11 libgcj12  libboost-thread1.46.1 libdb4.7-java-gcj libtorrent-rasterbar6 gcj-4.6-base  libgcj-common libcrypto++8 libdb4.7-java gcj-4.5-jre-lib libavcodec52  libboost-filesystem1.42.0 libboost-filesystem1.46.1 libboost-system1.42.0  libmatroska3 python-libtorrent libboost-python1.42.0 gcj-4.5-base  libboost-system1.46.1Usare “apt-get autoremove” per rimuoverli.0 aggiornati, 0 installati, 0 da rimuovere e 1 non aggiornati.1 non completamente installati o rimossi.Dopo quest’operazione, verranno occupati 0 B di spazio su disco.Configurazione di klest-crossword (0.2.2-1)…cp: impossibile creare il file regolare “/home/andrea/Desktop/”: È una directorydpkg: errore nell’elaborare klest-crossword (–configure): il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 1Si sono verificati degli errori nell’elaborazione: klest-crosswordE: Sub-process /usr/bin/dpkg returned an error code (1)

    ho scaricato i 3 pacchetti che finiscono uno per “all” e i due rimanenti i386.. dovevo scaricare altro.!?

    • no sono giusti solo che ti ha dato errore nell’installazione

  • Max Deliquio

    finalmente con la versione 3.1.0-2 sono riuscito ad installarlo senza problemi.
    Ho aggiunto il ppa “xorg-edgers fresh X crack” da ubuntu tweak e installato l’ultima versione del kernel da synaptic. Sconsiglio di aggiornare X o i driver grafici da questo ppa, non sono stabili, io ho provato e mi sono trovato con il desktop vuoto dopo il riavvio…per risolvere ho disabilitato il ppa rimosso X “sudo apt-get remove xserver-xorg-core” reinstallato i driver nvida “sudo apt-get install nvidia-current nvidia-settings” e ubuntu desktop “sudo apt-get install ubuntu-desktop” reinstallando automaticamente tutti i pacchetti di xorg da cui dipende.

    • Alvaro

      e come lavora il nuovo kernel???Problemi?!

      • è come il 3.0 qualcosa ha migliorato nei consumi ma poco confronto al vecchio kernel 2.x

  • Franklinkardinal

    a me non va non carica devo entrare con la previus come mai? grazie

  • ciao a tutti… e se volessi rimuovere questa versione del kernel come posso fare??
    grazie

    • Gigas87

      sudo apt-get remove linux-image- 
      poi premi più volte tab (il tasto sotto capslock) fin quando non ti compaiono le varie versioni di kernel, vedi quella che vuoi eliminare e la aggiungi all’estensione sopra citata… (es. sudo apt get-remove linux-image-3.1.0-030100-generic

  • Fighi_96

    scusa Roberto, ma tra il 3.1 e il 2.6 di kernel, la differenza è che uno (3.1) va più veloce e l’altro (2.6) consuma di meno, giusto? 

  • wonderman

    ho seguito allalettera l’istruzione ,ma al riavvio al comando “uname -r” il risultato è “3.0.0-12-generic”.forse perchè uso Kubuntu?

  • giuseppe

    ciao,  ho installato il kernel, ma adesso è saltato gnome shell e gnome si avvia in fallback? cosa è successo?

  • Giuseppe

    ciao, ho seguito tutta la procedura poi riavvio, ma non parte e devo riavviare con la versione 3.0. Perchè? Premetto che ho un netbook Eeepc seashell con amd c-50 e ati ed installo i pacchetti i386.

  • wonderman

    dopo l’installazione avvenuto,ho controllato con uname -r,tutto aposto,MA non mi connette più ad Internet,avendo Ndiswrapper come driver.Ho provato a disinstallarlo,e reinstallarlo(Ndiswrapper) NADA !!!alla fine son ritornato al 3.0 : |

  • ll Otto

    Failed to process /etc/kernel/postinst.d at /var/lib/dpkg/info/linux-image-3.1.2-030102-generic.postinst line 1010.
    dpkg: errore nell’elaborare linux-image-3.1.2-030102-generic (–install):
     il sottoprocesso vecchio script di post-installation ha restituito lo stato di errore 2
    Si sono verificati degli errori nell’elaborazione:
     linux-image-3.1.2-030102-generic

    questi sono gli errori che escono…

No more articles